info:
  name: Get appointments
  type: http
  seq: 1

http:
  method: GET
  url: "{{elixFormsApiUrl}}/calendar/appointments/get/v1?username={{elixFormsApiUsername}}&tag=xyz"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
  params:
    - name: username
      value: "{{elixFormsApiUsername}}"
      type: query
    - name: tag
      value: xyz
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Get appointments - Not enabled?
    request:
      url: "{{elixFormsApiUrl}}/calendar/appointments/get/v1?username={{elixFormsApiUsername}}&tag=xyz"
      method: GET
      params:
        - name: username
          value: "{{elixFormsApiUsername}}"
          type: query
        - name: tag
          value: xyz
          type: query
    response:
      statusText: "200"
      headers:
        - name: cache-control
          value: no-cache, no-store, must-revalidate
        - name: pragma
          value: no-cache
        - name: proxy-connection
          value: Keep-Alive
        - name: x-content-security-policy
          value: default-src 'self'; connect-src 'self'; font-src 'none'; img-src 'self'; media-src 'self'; object-src 'self'; plugin-types application/pdf audio/x-wav; referrer no-referrer; reflected-xss block; script-src 'self'; style-src 'self'
        - name: content-type
          value: application/json;charset=UTF-8
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: transfer-encoding
          value: chunked
        - name: vary
          value: Accept-Encoding
        - name: content-encoding
          value: gzip
      body:
        type: json
        data: |-
          {
              "value": {
                  "code": "ERROR",
                  "description": "Errore 404 invocando il servizio \"exportAppointments\"",
                  "complete": true,
                  "globalStatus": "ERROR",
                  "serviceInformationList": {
                      "serviceInformation": [
                          {
                              "ITSystemName": "EF-CORE",
                              "complete": true,
                              "serviceVersion": "1.0.0",
                              "statusDetailList": {
                                  "statusDetail": [
                                      {
                                          "code": "ERROR",
                                          "description": "Errore 404 invocando il servizio \"exportAppointments\"",
                                          "detailStatus": "ERROR"
                                      }
                                  ]
                              }
                          }
                      ]
                  },
                  "uuid": "6e65e591-3c79-4f54-98ca-aad877b309e0",
                  "version": "3.9.2.17",
                  "resultSize": 0
              }
          }
